﻿using presence.Data.LocalData.Entity;
using presence.Data.RemoteData.RemoteDatabase.DAO;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace presence.Data.Repository
{
    public interface IUserRepository
    {
        List<UserDao> GetAllUser();
        bool RemoveUserById(int userId);
        UserDao FindUserById(int userId);
        UserDao? GetUserById(int userId);
        UserDao? UpdateUser(UserDao userUpdate);
        UserDao? UpdateUserById(int userId);
    }
}
