﻿using presence.Data.LocalData.Entity;
using presence.Data.RemoteData.RemoteDatabase.DAO;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace presence.Data.Repository
{
    public interface IPresenceRepository
    {
        List<PresenceDao> GetPresenceByGroup(int groupId);
        List<PresenceDao>  GetPresenceByGroupAndDate(int groupId, DateOnly date);
        bool UnCheckAttendence (int firstClass, int lastClass,  DateOnly date, int UserId);
        void  AddPresence (PresenceDao presence);

    }
}
