using presence.Data.Repository;
using presence.Domain.UseCase;

namespace presence.presence_api.ServiceExtensions;
public static class ServiceExtensions
{
    public static void ConfigurateGroup(this IServiceCollection services)
    {
        services
            .AddScoped<IGroupRepository, SQLGroupRepositoryImpl>()
            .AddScoped<GroupUseCase>();
    }
}